Shops
Utwórz sklep
POST
/
api
/
v2
/
shops
Utwórz sklep
curl --request POST \
--url https://api.itemshop.dev/api/v2/shops \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"uniqueName": "moj-sklep",
"displayName": "Mój Sklep",
"frontEndUrl": "https://moj-sklep.pl",
"discordWebhookUrl": "<string>"
}
'import requests
url = "https://api.itemshop.dev/api/v2/shops"
payload = {
"uniqueName": "moj-sklep",
"displayName": "Mój Sklep",
"frontEndUrl": "https://moj-sklep.pl",
"discordWebhookUrl": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
uniqueName: 'moj-sklep',
displayName: 'Mój Sklep',
frontEndUrl: 'https://moj-sklep.pl',
discordWebhookUrl: '<string>'
})
};
fetch('https://api.itemshop.dev/api/v2/shops', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"_id": "664f1a2b3c4d5e6f7a8b9c0d",
"uniqueName": "moj-sklep",
"displayName": "Mój Sklep",
"frontEndUrl": "https://moj-sklep.pl",
"isActive": true,
"createdAt": "2023-11-07T05:31:56Z"
},
"message": "<string>"
}{
"success": false,
"statusCode": 400,
"error": "Komunikat błędu",
"timestamp": "2023-11-07T05:31:56Z",
"path": "/api/v2/..."
}{
"success": false,
"statusCode": 400,
"error": "Komunikat błędu",
"timestamp": "2023-11-07T05:31:56Z",
"path": "/api/v2/..."
}{
"success": false,
"statusCode": 400,
"error": "Komunikat błędu",
"timestamp": "2023-11-07T05:31:56Z",
"path": "/api/v2/..."
}{
"success": false,
"statusCode": 400,
"error": "Komunikat błędu",
"timestamp": "2023-11-07T05:31:56Z",
"path": "/api/v2/..."
}Autoryzacje
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Treść
application/json
Unikalna nazwa sklepu (w URL)
Required string length:
3 - 50Pattern:
^[a-z0-9-_]+$Przykład:
"moj-sklep"
Nazwa wyświetlana
Required string length:
1 - 100Przykład:
"Mój Sklep"
Adres frontendu sklepu
Przykład:
"https://moj-sklep.pl"
URL webhooka Discord
Czy ta strona była pomocna?
Poprzedni
Minimal self-access endpoint. A member must be able to discover their own
effective permissions without receiving the full team roster (and without
needing `team:read`, which manager-style roles intentionally may not have).
Następny
⌘I
Utwórz sklep
